Bug 1350974 - Openstack python-watcherclient
Summary: Openstack python-watcherclient
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Haïkel Guémar
URL:
Whiteboard:
Depends On:
Blocks: RDO-NEWTON
TreeView+ depends on / blocked
 
Reported: 2016-06-28 21:59 UTC by Daniel Pawlik
Modified: 2019-07-26 07:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-26 07:15:44 UTC


Attachments (Terms of Use)

Description Daniel Pawlik 2016-06-28 21:59:31 UTC
Spec URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient.spec


SRPM URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient-0-23.1.dev10.src.rpm

Description: Client for Openstack Watcher service (python-watcherclient). 

Fedora Account System Username: danpawlik

copr build: WIP

Comment 1 hguemar 2016-06-29 14:08:01 UTC
Clients should be submitted to Fedora (I fixed it)

1. please package latest stable release and fix according Source0 URL
2. simplify the with_python3 block
%if 0%{?fedora} >= 24
%global with_python3 1
%endif

Comment 2 Javier Peña 2016-06-29 14:26:55 UTC
I have found some issues:

- Doc generation fails, we need to add "PYTHONPATH=." to the sphinx-build call
- Even with that, it looks like some dependencies are missing. mock complained about keystoneclient.v2_0 not being available, so the build requirements need to be checked.
- There is no need for the %exclude lines, since you are already packaging tests in their own subpackage.

Comment 3 Daniel Pawlik 2016-06-29 22:29:06 UTC
Spec file was based on example client file: https://github.com/openstack-packages/openstack-example-spec/blob/master/python-exampleclient.spec

hguemar:
1. I will change it ;)
2. I don't want to change, because I want to be compatible with example. IMHO one global variable is not the main problem of this spec file...


Javier Pena:
- I will check

Comment 4 Daniel Pawlik 2016-06-29 22:29:07 UTC
Spec file was based on example client file: https://github.com/openstack-packages/openstack-example-spec/blob/master/python-exampleclient.spec

hguemar:
1. I will change it ;)
2. I don't want to change, because I want to be compatible with example. IMHO one global variable is not the main problem of this spec file...


Javier Pena:
- I will check

Comment 6 hguemar 2016-07-04 08:50:43 UTC
* Binaries are not handled correctly, you install the watcher CLI twice.
So in Fedora, since python3 version is installed last, python2-watcherclient pulls python3

* You don't %exclude tests directories from pythonX-packages, so they're also included in the the latter. So installing both packages will lead to a conflict.

* Don't require python-wheel

* Requires:   mock >= 1.2
Won't do what you expect, mock packages is a a chrooted build utility for fedora.
What you were looking for was python-mock.

Comment 7 Javier Peña 2016-07-04 08:58:48 UTC
I just realized some of the required packages have an Epoch set, like https://github.com/rdo-packages/keystoneclient-distgit/blob/rpm-master/python-keystoneclient.spec#L18 . You should include the Epoch in the Requires/BuildRequires field.

Comment 9 Daniel Pawlik 2016-07-27 07:29:25 UTC
Hello reviewers, 
If something is wrong in code, please write comment on github page. 

It's easier for me to modify spec file ;)


Thx.

Comment 10 Daniel Pawlik 2016-08-03 20:42:21 UTC
What changed:
-added epoch for required packages, 
-removed watcherclient epoch
-uncommented license file
-new watcherclient release: 0.24.0
-changed requirements:  python-oslo-utils >= 3.16.0   # was 3.11.0



Spec URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient.spec


SRPM URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient-0-24.0.src.rpm


If something is wrong with code, pls comment on github page ;)


Regards

PS I'm sorry that so long...

Comment 11 Haïkel Guémar 2016-08-04 07:31:07 UTC
Before we move on, I'd like to clarify a point:
We maintain all OpenStack clients in Fedora, so I'd rather avoid another review for introducing it in Fedora. Daniel, are you willing to maintain it or should I open another review for that?

Comment 12 Haïkel Guémar 2016-08-04 07:52:31 UTC
Package looks much better, but you need to fix:
Version: 0.24.0
Release: 1%{?dist}

Version field holds upstream versioning, Release is spec file versioning, and you should not redefine upstream_version, as it is used by DLRN.

Requires: sphinx is unneeded.

prefer python-XXX over python2-XXX requires for python2 packages.

Comment 13 Daniel Pawlik 2016-08-06 12:59:07 UTC
I can be mainaner from python-watcher and python-watcherclient packages ;)


Haïkel Guémar : In new commit on github I have changed spec like you propose.

 


Spec URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient.spec


SRPM URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient-0.24.0-1.fc24.src.rpm



Regards

Comment 14 Javier Peña 2016-08-23 15:15:51 UTC
Hi Daniel,

I've added some comments to github. The most important ones are:

- BuildRequires: sphinx does not work, you should change it to "BuildRequires: python-sphinx" or remove it (it will be pulled in by oslo-sphinx)

- Both the python2 and python3 subpackages include /usr/bin/watcher. This needs to be fixed, https://github.com/rdo-packages/aodhclient-distgit/blob/mitaka-rdo/python-aodhclient.spec#L115-L126 can be used as an example of how to handle this.

Comment 15 Daniel Pawlik 2016-08-23 19:07:20 UTC
Hi,
Thanks Javier Peña for reviewing.

I made changes and updated version in on github.



Spec URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient.spec

SRPM URL: https://raw.githubusercontent.com/dduuch/openstack-watcherclient/master/python-watcherclient-0.24.0-1.fc24.src.rpm


Github page: https://github.com/dduuch/openstack-watcherclient


If something is wrong, pls leave comment on github page ;)


Thanks a lot!


Regards

Comment 16 Daniel Pawlik 2016-08-24 20:10:29 UTC
Sphinx package removed from BuildRequires.


Updated version is on github ;)

Comment 17 Javier Peña 2016-09-21 08:10:04 UTC
Daniel, as discussed on IRC, should we change this review to make it a Fedora package? For client packages, the RDO policy is to keep them in Fedora.

Comment 18 Daniel Pawlik 2016-12-15 07:27:28 UTC
@javier(In reply to Javier Peña from comment #17)
> Daniel, as discussed on IRC, should we change this review to make it a
> Fedora package? For client packages, the RDO policy is to keep them in
> Fedora.

Hello,
As we talked on Openstack Summit and IRC, watcherclient should be package available in Fedora.

Comment 19 Javier Peña 2016-12-15 13:22:59 UTC
Changed product to Fedora, so this is now a proper Fedora package review.

Comment 20 Haïkel Guémar 2017-03-29 08:25:08 UTC
Ping, still working on that?

Comment 21 Haïkel Guémar 2017-09-28 15:26:35 UTC
Moved to Queens for now, but it will be revisited later.

Comment 22 Haïkel Guémar 2019-07-26 07:15:44 UTC
No activity for 3 years, please reopen if you want to.


Note You need to log in before you can comment on or make changes to this bug.